Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home | Weka's home | Weka's home | Weka's home | Weka's home | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers
Class EnsembleLibraryModelComparator

    java.lang.Object
      weka.classifiers.EnsembleLibraryModelComparator

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator, RevisionHandler

    public final class EnsembleLibraryModelComparator

extends java.lang.Object
implements java.util.Comparator, java.io.Serializable, RevisionHandler

This class is a Comparator for the LibraryModel class. It basically ranks them alphabetically based on their String Representations

Version:
  $Revision: 1.2 $
Author:
  Robert Jung (mrbobjung@gmail.com)
See Also:
  Serialized Form

Constructor Summary
`EnsembleLibraryModelComparator()`

Method Summary
`int` | `compare(java.lang.Object o1, java.lang.Object o2)` Compares its two arguments for order.
`java.lang.String` | `getRevision()` Returns the revision string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### EnsembleLibraryModelComparator

    public EnsembleLibraryModelComparator()

Method Detail

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Compares its two arguments for order.

  Specified by:
    `compare` in interface `java.util.Comparator`
  Parameters:
    `o1` - first object
    `o2` - second object
  Returns:
    a negative integer, zero, or a positive integer as the first argument is less than, equal to, or greater than the second.

### getRevision

    public java.lang.String getRevision()

  Returns the revision string.

  Specified by:
    `getRevision` in interface `RevisionHandler`
  Returns:
    the revision

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home | Weka's home | Weka's home | Weka's home | Weka's home | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD